<?xml version="1.0" encoding="UTF-8"?>
<!--
 ~ © Dev5™. Todos os direitos reservados ~ dev5.com.br
 ~ Distribuição/reprodução não autorizada estará sujeita às penas das leis nº 9.609/98 e nº 9.610/98
 -->
<modification>
    <code>d5-mpt</code>
    <name>MercadoPago Transparente</name>
    <version>5.0.3</version>
    <author>Dev5™</author>
    <link>https://dev5.com.br/</link>

    <!-- EXCEÇÃO RETORNOS AUTOMÁTICOS MESMO EM MODO DE MANUTENÇÃO = 2.0|2.1 -->
    <file path="catalog/controller/common/maintenance.php">
        <operation>
            <search>
                <![CDATA[if ($this->config->get('config_maintenance')) {]]>
            </search>
            <add position="after">
                <![CDATA[
                    switch (@$this->request->get['route']?:'') {
                        case 'payment/d5mpt/wh':
                            return;
                    }
                ]]>
            </add>
        </operation>
    </file>

    <!-- EXTENSÃO SECURITY.JS LOAD = 2.0|2.1|2.2|2.3|3.0 -->
    <file path="catalog/controller/common/header.php">
        <operation>
            <search>
                <![CDATA[view('common/header]]>
            </search>
            <add position="before">
                <![CDATA[$data['d5mpsecurity'] = @D5W::mpt('security',null);]]>
            </add>
        </operation>
    </file>

    <!--EXTENSÃO SECURITY.JS VIEW = 2.0|2.1|2.2|2.3 -->
    <file path="catalog/view/theme/*/template/common/header.tpl" error="log">
        <operation>
            <search>
                <![CDATA[</head>]]>
            </search>
            <add position="before">
                <![CDATA[<?php if (!empty($d5mpsecurity)) echo $d5mpsecurity; ?>]]>
            </add>
        </operation>
    </file>

</modification>